%define upstream_name	 Authen-PAM
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:	Perl interface to the PAM library
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	pam-devel
BuildRequires:  perl-devel


%description
The Authen::PAM module provides a Perl interface to the PAM library.
The only difference with the standard PAM interface is that the perl
one is simpler.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/auto/Authen/*
%{perl_vendorarch}/Authen/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-6.mga3
+ Revision: 363240
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.160.0-5.mga3
+ Revision: 250272
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 0.160.0-4.mga2
+ Revision: 103455
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.160.0-3.mga1
+ Revision: 32724
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.160.0-2.mga1
+ Revision: 29801
- mageia rebuild
- imported package perl-Authen-PAM

